- Queries event prize information.
- Contact our support team for the event code this service requires.
Path
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Token we provide |
Request parameters
| Field | Type | Required | Signed | Description |
|---|---|---|---|---|
channelID | number | Yes | ✓ | Channel ID (use 1 if you have no channels) |
activityIV | string | Yes | ✓ | Event code |
sign | string | Yes | Signature. See Signature for how to generate it |
Response
Success (the HTTP status code is always 200; checkstatus.code for the result)
| Field | Type | Description |
|---|---|---|
data | object | |
data.rankList | object[] | Event prize list |
data.rankList[].activityName | string | Event name |
data.rankList[].activityIV | string | Event code |
data.rankList[].rank | number | Event ranking |
data.rankList[].channelId | number | Channel ID |
data.rankList[].account | string | Member account |
data.rankList[].currency | string | Currency (contact our business team) |
data.rankList[].prize | number | Event reward |
data.rankList[].prizePayout | number | Event reward paid out |
data.rankList[].isPrizePayout | boolean | Whether the event reward has been paid out (true: paid, false: not paid) |
data.rankList[].wagersId | number | Event result group ID |
data.rankList[].transactionId | string | Unique transaction ID of the event reward payout |
data.rankList[].prizePayoutTime | string | Event reward payout time (see Time format) |
status | object | Response status. See Response format |
